/*
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

use common::SourceLocationKey;
use fixture_tests::Fixture;
use graphql_syntax::parse_executable_with_error_recovery;
use graphql_test_helpers::diagnostics_to_sorted_string;

pub fn transform_fixture(fixture: &Fixture<'_>) -> Result<String, String> {
    let result = parse_executable_with_error_recovery(
        fixture.content,
        SourceLocationKey::standalone(fixture.file_name),
    );
    Ok(format!(
        "{:#?}\nErrors:\n{}",
        result.item,
        diagnostics_to_sorted_string(fixture.content, &result.errors)
    ))
}
